For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/agents/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/agents/llms-full.txt.

# Delete an agent

DELETE https://api.synthflow.ai/v2/assistants/{model_id}

Use this endpoint to delete an agent.

Reference: https://docs.synthflow.ai/api-reference/platform-api/agents/delete-assistant

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /assistants/{model_id}:
    delete:
      operationId: delete-assistant
      summary: Delete an agent
      description: Use this endpoint to delete an agent.
      tags:
        - ''
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/model_id'
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/delete-assistant_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Delete-assistantRequestBadRequestError'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    model_id:
      type: string
      description: Agent ID. You can find it on the agent’s page in your dashboard.
      title: model_id
    status:
      type: string
      description: Whether the request was successful.
      title: status
    AssistantsModelIdDeleteResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        answer:
          type: string
      title: AssistantsModelIdDeleteResponsesContentApplicationJsonSchemaResponse
    delete-assistant_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: >-
            #/components/schemas/AssistantsModelIdDeleteResponsesContentApplicationJsonSchemaResponse
      title: delete-assistant_Response_200
    Delete-assistantRequestBadRequestError:
      type: object
      properties: {}
      title: Delete-assistantRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python delete-assistant_example
import requests

url = "https://api.synthflow.ai/v2/assistants/model_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```go delete-assistant_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/assistants/model_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby delete-assistant_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/assistants/model_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java delete-assistant_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.synthflow.ai/v2/assistants/model_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp delete-assistant_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/assistants/model_id");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift delete-assistant_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/assistants/model_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```